org.cpsolver.ifs.assignment

## Class AssignmentComparator<X extends AssignmentComparable<X,V,T>,V extends Variable<V,T>,T extends Value<V,T>>

- java.lang.Object
- - org.cpsolver.ifs.assignment.AssignmentComparator<X,V,T>

- Type Parameters:
    `X` - A class implementing `AssignmentComparable`
    `V` - Variable
    `T` - Value
  All Implemented Interfaces:
    Comparator<X>
  Direct Known Subclasses:
    ValueComparator

      public class AssignmentComparator<X extends AssignmentComparable<X,V,T>,V extends Variable<V,T>,T extends Value<V,T>>
      extends Object
      implements Comparator<X>

  Comparator for the `AssignmentComparable` objects.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses.
  Author:
    Tomáš Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Assignment<V,T>` | `iAssignment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssignmentComparator(Assignment<V,T> assignment)` Create comparator with the given assignment.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(X o1, X o2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### iAssignment

          protected Assignment<V extends Variable<V,T>,T extends Value<V,T>> iAssignment

  - ### Constructor Detail

    - #### AssignmentComparator

          public AssignmentComparator(Assignment<V,T> assignment)

      Create comparator with the given assignment.
      Parameters:
        `assignment` - current assignment

  - ### Method Detail

    - #### compare

          public int compare(X o1,
                             X o2)

      Specified by:
        `compare` in interface `Comparator<X extends AssignmentComparable<X,V,T>>`